Skip to main content
GET
/
v1
/
reports
Retrieve Reports
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/reports \
  --header 'X-Organization-id: <x-organization-id>'
{
  "items": [
    {
      "id": "0196b268-620d-7d09-afa3-85e4d5369eg3",
      "templateId": "0196b264-24d4-7e0b-ad5c-9028cc05138d",
      "filters": null,
      "status": "Processing",
      "completedAt": "2025-05-09T00:18:27.507Z",
      "createdAt": "2025-05-09T00:18:27.469Z",
      "updatedAt": "2025-05-09T00:18:27.469Z",
      "deletedAt": null
    }
  ],
  "page": 1,
  "limit": 10,
  "total": 1
}

Headers

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

X-Organization-id
string
required

The unique identifier of the Organization associated with the request.

Query Parameters

page
integer

Page number to be returned. Must be an integer greater than or equal to 1.

limit
integer

Number of records returned. Must be an integer greater than or equal to 1.

sort_order
enum<string>

Sort direction applied to the results, based on the creation date. Allowed values: asc or desc. Defaults to desc.

Available options:
asc,
desc
status
string

The processing status of the report. Allowed values: PendingExtraction, Processing, Finished, Error.

templateId
string

The identifier of the template.

createdAt
string

Date when the report was created, in the yyyy-mm-dd format.

Response

The list of reports in the system.

items
object[]

List of reports returned for the current page.

Information about the report.

page
integer

Number of the page returned.

limit
integer

Maximum number of records returned per page.

total
integer

Number of records returned on the current page.